<div class="container">
  <div class="row">
    <div class="col-lg-4">
      <img
        src="../../../../../assets/manager-avatar.jpg"
        class="img-responsive"
        alt="Flow Logo"
        *ngIf="currentEmployee?.isManager"
      />
      <img
        src="../../../../../assets/employee-avatar.png"
        class="img-responsive"
        alt="Flow Logo"
        *ngIf="!currentEmployee?.isManager"
      />
    </div>

    <div class="col-lg-8">
      <h4 class="mb-0">{{ currentEmployee?.name }}</h4>
      <span class="badge badge-primary mb-2" *ngIf="currentEmployee?.isManager">Manager</span>
      <p class="mb-1">{{ currentEmployee?.position }}</p>
      <p class="mb-1">{{ currentEmployee?.email }}</p>
      <p>Manager: {{ currentEmployee?.manager.name }}</p>
    </div>
  </div>


  <div class="skills-container" *ngIf="!currentEmployee?.isManager">
      <div class="row">
        <div class="col pb-0">
          <h5>Skills:</h5>
        </div>
        <div class="col d-flex justify-content-end">
          <button class="btn btn-primary" (click)="onEditEmployee()" *ngIf="!currentEmployee?.value?.isManager && loggedUser?.isAdmin">Edit</button>
        </div>
      </div>
    <div
      class="card mt-1"
      *ngFor="let skill of currentEmployee?.skills"
      (click)="onSkillSelect(skill.id)"
    >
      <div class="card-body p-1 pl-2">
        <p class="mt-2">{{ skill?.name }}</p>
      </div>
    </div>
    <div class="no-subordinates" *ngIf="!currentEmployee?.skills.length">
      <p>This employee currently has not skills.</p>
    </div>
  </div>

  <div class="subordinates-container" *ngIf="!!currentEmployee?.isManager">
    <h5>Subordinates:</h5>
    <div class="card mt-2" *ngFor="let employee of currentEmployee?.employees" (click)="onEmployeeSelect(employee.id)">
      <div class="card-body p-1 pl-2 mt-2" *ngIf="currentEmployee?.employees.length">
        <p>{{ employee?.name }}</p>
      </div>
    </div>
    <div class="no-subordinates" *ngIf="!currentEmployee?.employees.length">
      <p>This manager currently has no subordinates.</p>
    </div>
  </div>
</div>
